package com.xunhong.erp.turbo.rbac.domain.gateway;

import com.xunhong.erp.turbo.api.rbac.dto.cmd.UserRoleCreateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.cmd.UserRoleUpdateCmd;
import com.xunhong.erp.turbo.api.rbac.dto.qry.UserRoleListQry;
import com.xunhong.erp.turbo.rbac.domain.entity.UserRole;

import java.util.List;

/**
 * @author shenyifei
 */
public interface UserRoleGateway {
	void assignRole(Long userId, List<Long> roleIdList);

	List<UserRole> list(UserRoleListQry userRoleListQry);

	List<UserRole> create(UserRoleCreateCmd userRoleCreateCmd);

	List<UserRole> update(UserRoleUpdateCmd userRoleUpdateCmd);
}
